class Borrow < ApplicationRecord
  enum status: [:borrowed, :available, :lost]
  belongs_to :user
  belongs_to :item

  def self.borrow(item, user)
    i = Item.find item
    u = User.find user
    borrow = Borrow.new user: u, item: i, status: :borrowed
    #u.borrows << borrow

    borrow.save
  end

  def self.return(item, user)
    b = Borrow.where(user: User.find(user), item: Item.find(item), return_time: nil, status: :borrowed)
    b.return_time = Time.now
    b.status = :available
    b.save
  end
end
