require 'test_helper'

class UploadImageForItemTest < ActionDispatch::IntegrationTest
  # test "the truth" do
  #   assert true
  # end

  setup do
    labda = items(:labda)
  end

  test "upload image for item" do
    #assert_nil session[:user]
    
    get '/say/hello'
    assert_response :success
    assert_select 'legend', 'Login'
    
    post '/sessions/create',
      params: { email: users(:me).email, password: 'a' },
      headers: { "HTTP_REFERER" => '/say/hello' }
    #assert_not_nil session[:user]

    get '/items/'+items(:labda).id.to_s+'/edit'
    assert_response :success
    #assert_select 'input[type="submit"]', 'Update Item'

    upload_file = fixture_file_upload('test/fixtures/files/html_dom.png',
      'image/png')
    patch '/items/'+items(:labda).id.to_s,
      params: {
        item: {
          name: items(:labda).name,
          barcode: items(:labda).barcode,
          price: items(:labda).price,
          image: upload_file
        }
      }
    assert_response :redirect
    #assert_equal items(:labda).image.filename, 'html_dom.png'
    assert File.exists? 'public/data/'+items(:labda).id.to_s
  end
end
